Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogicx.jsp.tags
Class RepeatTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--weblogicx.jsp.tags.RepeatTag

public class RepeatTag
extends javax.servlet.jsp.tagext.BodyTagSupport

The repeat tag is used to iterate over many different types of sets including Enumerations, Iterators, Collections, Arrays of Objects, Vectors, ResultSets, ResultSetMetaData, and the keys of a Hashtable. You can also just loop a certain number of times by using the count attribute.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`RepeatTag()`

Method Summary
`int` | `doAfterBody()`
`void` | `doInitBody()`
`int` | `doStartTag()`
`int` | `getCount()`
`java.lang.String` | `getId()`
`java.lang.Object` | `getSet()`
`java.lang.String` | `getType()`
`void` | `release()`
`void` | `setCount(int count)` In the case that no set is specified and a count is given, this is the number of times to include the enclosed JSP.
`void` | `setId(java.lang.String id)` This is the id of the scripting variable that will contain the current object that you are iterating over.
`void` | `setSet(java.lang.Object set)` This is the set of objects.
`void` | `setType(java.lang.String type)` This is the type of object that results from iterating over the set you passed in.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatTag

    public RepeatTag()

Method Detail

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.BodyTagSupport

### setId

    public void setId(java.lang.String id)

  This is the id of the scripting variable that will contain the current object that you are iterating over. In the case where count is specified, it is the number of the iteration starting at 1.

  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getId

    public java.lang.String getId()

  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### setSet

    public void setSet(java.lang.Object set)

  This is the set of objects. You must use <%= ... %> notation to pass in a variable that is the set. It will automatically iterate over a string, tokenizing on ",".

### getSet

    public java.lang.Object getSet()

### setType

    public void setType(java.lang.String type)

  This is the type of object that results from iterating over the set you passed in. It defaults to java.lang.Object. This type must be fully qualified.

### getType

    public java.lang.String getType()

### setCount

    public void setCount(int count)

  In the case that no set is specified and a count is given, this is the number of times to include the enclosed JSP. If a count and a set are specified then it will include only the first "count" entries in the set.

### getCount

    public int getCount()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.BodyTagSupport

### doInitBody

    public void doInitBody()
                    throws javax.servlet.jsp.JspException

  Overrides:
    doInitBody in class javax.servlet.jsp.tagext.BodyTagSupport

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Overrides:
    doAfterBody in class javax.servlet.jsp.tagext.BodyTagSupport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD